package com.example.afrishop_v3.repository;

import com.example.afrishop_v3.models.TbCfCartRecordR;
import org.springframework.data.repository.PagingAndSortingRepository;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
import java.util.Optional;

public interface TbCfCartRecordRRepository extends PagingAndSortingRepository<TbCfCartRecordR,String> {
    int countByUserId(String userId);

    Optional<TbCfCartRecordR> findFirstByUserIdAndItemDetailItemIdAndItemSku(String userId, String itemId, String itemSku);

    List<TbCfCartRecordR> findAllByUserId(String userId);


    @Transactional
    void deleteAllByCartRecordIdIn(String[] ids);
}
